%global momorel 2

Summary: rxvt-unicode is an unicode version of rxvt
Name: rxvt-unicode
Version: 9.06
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: User Interface/X
URL: http://software.schmorp.de/pkg/rxvt-unicode.html
Source0: http://dist.schmorp.de/%{name}/Attic/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: rxvt-unicode-9.02-CVE-2008-1142-DISPLAY.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: desktop-file-utils
BuildPreReq: libX11-devel
BuildPreReq: libXft-devel
BuildPreReq: libXrender-devel
BuildPreReq: libXt-devel
BuildPreReq: xorg-x11-proto-devel
BuildPreReq: perl-devel, perl(ExtUtils::Embed)
BuildPreReq: freetype-devel >= 2.1.9
BuildPreReq: fontconfig-devel >= 2.2.3
BuildPreReq: perl-devel >= 5.10.0
Requires:    perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
rxvt-unicode is a clone of the well known terminal emulator rxvt, modified to
store text in Unicode (either UCS-2 or UCS-4) and to use locale-correct input
and output. It also supports mixing multiple fonts at the same time, including
Xft fonts.

%prep
%setup -q
%patch0 -p1 -b .cve-2008-1142

%build
%configure --enable-everything --enable-half-shadow
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install 
tic -o %{buildroot}%{_datadir}/terminfo doc/etc/rxvt-unicode.terminfo
%{__rm} -rf %{buildroot}%{_datadir}/terminfo

# install desktop file
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > rxvt-unicode.desktop << EOF
[Desktop Entry]
Name=Rxvt-Unicode
Type=Application
Comment=an unicode version of rxvt
Icon=gnome-term
Exec=urxvt
EOF

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category System \
  rxvt-unicode.desktop

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc COPYING Changes README.FAQ INSTALL doc/README.xvt doc/etc 
%attr(0755,root,root) %{_bindir}/urxvt
%attr(0755,root,root) %{_bindir}/urxvtc
%attr(0755,root,root) %{_bindir}/urxvtd
%{_datadir}/applications/rxvt-unicode.desktop
%{_libdir}/urxvt/perl/*
%{_libdir}/urxvt/urxvt.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (9.06-2m)
- rebuild against rpm-4.6

* Fri Nov 21 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (9.06-1m)
- update to 9.06
- change Source0 URI

* Sat Nov  1 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (9.05-2m)
- [SECURITY] CVE-2008-1142
-- import security patch from Gentoo
-- http://bugs.gentoo.org/show_bug.cgi?id=219760

* Sun Jul 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (9.05-1m)
- update 9.05-1
- revise BuildPreReqs
- import some changes from fc-devel (9.05-1)

* Sun Apr  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (8.2-6m)
- add patch for glibc-2.7.90

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.2-5m)
- rebuild against gcc43

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.2-4m)
- rebuild against perl-5.10.0

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (8.2-3m)
- BuildPreReq: freetype2 -> freetype-devel

* Sun Mar  4 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (8.2-2m)
- delete %%{_datadir}/terminfo/r/rxvt-unicode

* Mon Feb 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (8.2-1m)
- update to 8.2

* Sat Dec  9 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (8.1-1m)
- update to 8.1

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.7-4m)
- remove Utility from Categories of desktop file

* Sat Sep 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.7-3m)
- remove category Application TerminalEmulator

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (7.7-2m)
- revise for xorg-7.0
- remove --with-xpm-* from configure

* Sun Mar 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.7-1m)
- update to 7.7
- change install path (/usr/X11R6 -> /usr)

* Sat Jan 14 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (7.0-1m)
- update to 7.0

* Thu Jan  5 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.3-1m)
- update to 6.3

* Wed Jan  4 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.2-1m)
- update to 6.2

* Wed Dec 28 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (6.1-1m)
- update to 6.1

* Wed Jul 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.7-2m)
- add terminfo
- revised docdir permission

* Wed Jul 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.7-1m)
- update to 5.7

* Tue Jul 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.6-1m)
- initial import to Momonga

